{% extends 'appointment/index.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "appointment/css/appointment.css" %}">
  <link rel="stylesheet" href="{% static "appointment/css/edit_appointment.css" %}">
  <link rel="stylesheet" href="{% static "main/npm/css/selectize.default.css" %}">
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% if appointment_id %}
    {% breadcrumb appointment "appointment:appointment" appointment.id %}
  {% endif %}
  {% breadcrumb 'Редактирование' "" %}
{% endblock %}
{% block title %}
  {% if appointment %}
    {{ appointment }}
  {% else %}
    Электронная очередь
  {% endif %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      {% if appointment_id %}
        <form action="{% url 'appointment:edit_appointment' appointment_id %}" method="post">
      {% else %}
        <form action="{% url 'appointment:add_appointment' %}" method="post">
      {% endif %}
      {% csrf_token %}

      <div class="form-group">
        {{ form.available.errors }}
        <label for="id_available">{{ form.available.label_tag }}</label>
        {{ form.available }}
      </div>

      <div class="form-group">
        {{ form.event.errors }}
        <label for="id_event">{{ form.event.label_tag }}</label>
        {{ form.event }}
      </div>

      <div class="form-group">
        {{ form.teachers.errors }}
        <label for="id_teachers">{{ form.teachers.label_tag }}</label>
        {{ form.teachers }}
      </div>

      <div class="form-group">
        {{ form.tutors.errors }}
        <label for="id_tutors">{{ form.tutors.label_tag }}</label>
        {{ form.tutors }}
      </div>

      <div class="form-group">
        {{ form.start.errors }}
        <label for="id_start">{{ form.start.label_tag }}</label>
        {{ form.start }}
      </div>

      <div class="form-group">
        {{ form.finish.errors }}
        <label for="id_finish">{{ form.finish.label_tag }}</label>
        {{ form.finish }}
      </div>

      <div class="form-group">
        {{ form.interval.errors }}
        <label for="id_interval">{{ form.interval.label_tag }}</label>
        {{ form.interval }}
      </div>

      <div class="form-group">
        {{ form.max.errors }}
        <label for="id_max">{{ form.max.label_tag }}</label>
        {{ form.max }}
      </div>

      <div class="form-group">
        {{ form.instruction.errors }}
        <label for="id_instruction">{{ form.instruction.label_tag }}</label>
        {{ form.instruction }}
      </div>

      <div class="form-group">
        {{ form.categories.errors }}
        <label for="id_categories">{{ form.categories.label_tag }}</label>
        {{ form.categories }}
      </div>

      <div class="form-group">

        {{ form.subjects.errors }}
        <label for="id_subjects">{{ form.subjects.label_tag }}</label>
        {{ form.subjects }}

      </div>
      <button type="submit" class="btn btn-primary">Сохранить</button>
      </form>
    </div>
  </section>
{% endblock %}
{% block js %}
  <script src="{% static "main/npm/js/selectize.min.js" %}"></script>
  <script src="{% static "appointment/js/appointment.js" %}"></script>
  {{ form.media }}
{% endblock %}